## apiextractor 0.3.3

=== CMakeLists.txt ===
project(apiextractor)

cmake_minimum_required(VERSION 2.6)

find_package(Boost COMPONENTS graph REQUIRED)
find_package(Qt4 4.5.0 REQUIRED)

find_package(LibXml2 2.6.32 REQUIRED)
find_package(LibXslt 1.1.19 REQUIRED)

if (MSVC)
    set(CMAKE_CXX_FLAGS "/DWIN32 /D_WINDOWS /w /EHsc- /GS- /GR- /DAPIEXTRACTOR_ENABLE_DUPLICATE_ENUM_VALUES /DAPIEXTRACTOR_BUILD -D_SCL_SECURE_NO_WARNINGS")
else (MSVC)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -DAPIEXTRACTOR_ENABLE_DUPLICATE_ENUM_VALUES -fvisibility=hidden")
endif(MSVC)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/tests)

set(apiextractor_MAJOR_VERSION 0)
set(apiextractor_MINOR_VERSION 3)
set(apiextractor_MICRO_VERSION 3)
set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
set(QT_USE_QTCORE 1)
set(QT_USE_QTXML 1)
include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)
add_definitions(-DRXX_ALLOCATOR_INIT_0)

set(apiextractor_SRC
apiextractor.cpp
abstractmetabuilder.cpp
abstractmetalang.cpp
asttoxml.cpp
docparser.cpp
doxygenparser.cpp
qtdocparser.cpp
fileout.cpp
reporthandler.cpp
typeparser.cpp
typesystem.cpp
parser/ast.cpp
parser/binder.cpp
parser/class_compiler.cpp
parser/codemodel.cpp
parser/codemodel_finder.cpp
parser/compiler_utils.cpp
parser/control.cpp
parser/declarator_compiler.cpp
parser/default_visitor.cpp
parser/dumptree.cpp
parser/lexer.cpp
parser/list.cpp
parser/name_compiler.cpp
parser/parser.cpp
parser/smallobject.cpp
parser/tokens.cpp
parser/type_compiler.cpp
parser/visitor.cpp
parser/rpp/builtin-macros.cpp
parser/rpp/preprocessor.cpp
)

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

qt4_add_resources(apiextractor_RCCS_SRC generator.qrc)
qt4_automoc(apiextractor_SRC)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser/rpp
                    ${QT_INCLUDE_DIR} ${Boost_INCLUDE_DIR}
                    ${LIBXSLT_INCLUDE_DIR}
                    ${LIBXML2_INCLUDE_DIR}
                    )

add_library(apiextractor SHARED ${apiextractor_SRC} ${apiextractor_RCCS_SRC})
target_link_libraries(apiextractor ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTXMLPATTERNS_LIBRARY} ${QT_QTXML_LIBRARY})
set_target_properties(apiextractor PROPERTIES VERSION ${apiextractor_VERSION} SOVERSION ${apiextractor_MAJOR_VERSION})

# create pkg-config file
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/apiextractor.pc.in
               ${CMAKE_CURRENT_BINARY_DIR}/apiextractor.pc @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/FindApiExtractor.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/FindApiExtractor.cmake @ONLY)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${apiextractor_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

set(root_HEADERS
apiextractormacros.h
abstractmetalang.h
apiextractor.h
reporthandler.h
typesystem.h
fileout.h
docparser.h
qtdocparser.h
)

enable_testing()
add_subdirectory(tests)

install(FILES ${root_HEADERS} DESTINATION include/apiextractor)
install(TARGETS apiextractor LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                             ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
                             RUNTIME DESTINATION bin)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/apiextractor.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/FindApiExtractor.cmake
        DESTINATION "share/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules")

=== tests/CMakeLists.txt ===

macro(declare_test testname)
    qt4_automoc("${testname}.cpp")
    add_executable(${testname} "${testname}.cpp")
    include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${apiextractor_SOURCE_DIR})
    target_link_libraries(${testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} apiextractor)
    add_test(${testname} ${testname})
endmacro(declare_test testname)

declare_test(testabstractmetaclass)
declare_test(testabstractmetatype)
declare_test(testenum)
declare_test(testmodifydocumentation)
declare_test(testaddfunction)
declare_test(testconversionruletag)
declare_test(testreverseoperators)
declare_test(testdtorinformation)

=== debian/changelog ===
apiextractor (0.3.3-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches.
  * Use 3.0 (quilt) format.

 -- Didier Raboud <didier@raboud.com>  Thu, 14 Jan 2010 15:44:15 +0100

apiextractor (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add use_cmake_config_no_find.patch:
    - Don't ship buggy FindApiExtractor.cmake (it is shipped in the wrong
      directory and useless anyway).
    - Ship instead a home-brewn ApiExtractorConfig.cmake and other cmake
      specific configuration files
    + Many thanks to Modestas Vainius for his time and skills in helping me
      through this patch!
    + This should Closes: #556822 generatorrunner: FTBFS

 -- Didier Raboud <didier@raboud.com>  Wed, 09 Dec 2009 19:11:36 +0100

apiextractor (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patch fix_boostgraph_binary_lib_dependency.patch, incorporated
    upstream.
    - Get rid of quilt B-D.
    - Dont use --with=quilt in the dh7 magic.
  * Disable the build tests (they fail to show "bugs to-be-fixed").

 -- Didier Raboud <didier@raboud.com>  Tue, 13 Oct 2009 15:23:02 +0200

apiextractor (0.3-1) unstable; urgency=low

  [ Didier Raboud ]
  * Initial Debian release (Closes: #543642)
    - Use the Ubuntu packaging as starting point.
    - Convert to dh7.
  * debian/watch: Add.
  * debian/cmake.mk: Remove dirty workaround.
  * debian/control:
    - Update Depends to dh7
    - Add myself to Maintainers
    - Put under collab-maint git.
    - Add Homepage and Vcs-* fields
    - Update descriptions and Build-Depends.
    - Include the symbols version in the binary package name.
    - Adjust priority.
  * debian/patches/fix_boostgraph_binary_lib_dependency.patch
    - Add to avoid Build-Dependency on the binary libboost-graph.
    - Adjust Build-Depends accordingly.
    - Add README.source.
  * debian/copyright: Update to include all copyright holders.
  * Bump Standards to 3.8.3

  [ Bernd Zeimetz ]
  * debian/control, debian/rules:
    - Add a -dbg package.
  * debian/control:
    - libapiextractor-dev needs to depend on libqt4-dev as pkg-config
      requires it.

 -- Didier Raboud <didier@raboud.com>  Thu, 01 Oct 2009 13:19:57 +0200

apiextractor (0.2-0ubuntu1) jaunty; urgency=low

  * Build for Ubuntu 9.04.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 18 Aug 2009 08:05:11 -0400

apiextractor (0.2-0maemo1) unstable; urgency=low

  * Initial release

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 16 Jul 2009 09:12:10 -0400

=== debian/control ===
Source: apiextractor
Priority: optional
Section: libs
Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.0.50), cmake (>= 2.6.0), libboost-dev, libboost-graph-dev, libboost-python-dev, libqt4-dev (>= 4.4.0), libqt4-xmlpatterns (>= 4.4.0), libxml2-dev, libxslt1-dev, pkg-config, python-sphinx
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
Homepage: http://www.pyside.org/home-binding/api-extractor/

Package: libapiextractor-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libapiextractor0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the debugging symbols.

Package: libapiextractor-dev
Section: libdevel
Architecture: any
Depends: libapiextractor0 (= ${binary:Version}), ${misc:Depends},
 libqt4-dev
Description: Development files for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the development files.

Package: libapiextractor0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library headers parser that creates an API abstract representation
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake $@

override_dh_strip:
	dh_strip --dbg-package=libapiextractor-dbg

override_dh_auto_test:
	## Don't run the tests, they fail for now.
	## Upstream explanation:
	## [15:10] <hugopl> OdyX, theses tests show bugs not fixed in
	##         apiextractor, we'll fix these bugs asap, but we need to do
	##         it carefull, because any changes in apiextractor can break
	##         the entire binding
	## [15:10] <hugopl> so, we postponed the bug fixing for a while
	## [15:11] <hugopl> in other words... is normal just 1 unit test pass
	##         (for now...)

## apiextractor 0.8.0

=== CMakeLists.txt ===
include(icecc.cmake)
project(apiextractor)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)

find_package(LibXml2 2.6.32)
find_package(LibXslt 1.1.19)

option(DISABLE_DOCSTRINGS "Disable documentation extraction." FALSE)
option(BUILD_TESTS "Build tests." TRUE)
option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)

if (NOT DISABLE_DOCSTRINGS)
    if (NOT LIBXSLT_FOUND OR NOT LIBXML2_FOUND)
        set(DISABLE_DOCSTRINGS TRUE)
        message(WARNING "libxslt and/or libxml not found, disabling support to doc strings!")
    endif()
endif()

if(MSVC)
    set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /GR /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
elseif(CMAKE_HOST_UNIX)
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if (NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
    if(NOT CMAKE_HOST_APPLE)
        set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--version-script,${CMAKE_CURRENT_SOURCE_DIR}/symbols.filter")
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

if(BUILD_TESTS)
    set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/tests)
endif ()

set(apiextractor_MAJOR_VERSION 0)
set(apiextractor_MINOR_VERSION 8)
set(apiextractor_MICRO_VERSION 0)
set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
set(apiextractor_SOVERSION ${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION})
set(QT_USE_QTCORE 1)
set(QT_USE_QTXML 1)
include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)
add_definitions(-DRXX_ALLOCATOR_INIT_0)

if(ENABLE_VERSION_SUFFIX)
    set(apiextractor_SUFFIX "-${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}")
else()
    set(apiextractor_SUFFIX "")
endif()

set(apiextractor_SRC
apiextractor.cpp
abstractmetabuilder.cpp
abstractmetalang.cpp
asttoxml.cpp
fileout.cpp
graph.cpp
reporthandler.cpp
typeparser.cpp
typesystem.cpp
include.cpp
typedatabase.cpp
parser/ast.cpp
parser/binder.cpp
parser/class_compiler.cpp
parser/codemodel.cpp
parser/codemodel_finder.cpp
parser/compiler_utils.cpp
parser/control.cpp
parser/declarator_compiler.cpp
parser/default_visitor.cpp
parser/dumptree.cpp
parser/lexer.cpp
parser/list.cpp
parser/name_compiler.cpp
parser/parser.cpp
parser/smallobject.cpp
parser/tokens.cpp
parser/type_compiler.cpp
parser/visitor.cpp
parser/rpp/builtin-macros.cpp
parser/rpp/preprocessor.cpp
)

if (NOT DISABLE_DOCSTRINGS)
    set(apiextractor_SRC
        ${apiextractor_SRC}
        docparser.cpp
        doxygenparser.cpp
        qtdocparser.cpp
    )
    set(APIEXTRACTOR_EXTRA_INCLUDES ${LIBXSLT_INCLUDE_DIR} ${LIBXML2_INCLUDE_DIR})
    set(APIEXTRACTOR_EXTRA_LIBRARIES ${LIBXSLT_LIBRARIES} ${LIBXML2_LIBRARIES})
else()
    set(APIEXTRACTOR_EXTRA_INCLUDES "")
    set(APIEXTRACTOR_EXTRA_LIBRARIES "")
endif()

set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

qt4_add_resources(apiextractor_RCCS_SRC generator.qrc)
qt4_automoc(apiextractor_SRC)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser
                    ${CMAKE_CURRENT_SOURCE_DIR}/parser/rpp
                    ${QT_INCLUDE_DIR}
                    ${APIEXTRACTOR_EXTRA_INCLUDES}
                    )

add_library(apiextractor SHARED ${apiextractor_SRC} ${apiextractor_RCCS_SRC})
target_link_libraries(apiextractor ${APIEXTRACTOR_EXTRA_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTXMLPATTERNS_LIBRARY} ${QT_QTXML_LIBRARY})
set_target_properties(apiextractor PROPERTIES VERSION ${apiextractor_VERSION}
                                              SOVERSION ${apiextractor_SOVERSION} 
                                              OUTPUT_NAME "apiextractor${apiextractor_SUFFIX}"
                                              DEFINE_SYMBOL APIEXTRACTOR_EXPORTS)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${apiextractor_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

set(root_HEADERS
apiextractormacros.h
abstractmetalang.h
apiextractor.h
graph.h
reporthandler.h
typesystem.h
fileout.h
docparser.h
qtdocparser.h
include.h
typedatabase.h
)

if (BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif()
add_subdirectory(data)

install(FILES ${root_HEADERS} DESTINATION include/apiextractor${apiextractor_SUFFIX})
install(TARGETS apiextractor EXPORT apiextractor
                             LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                             ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                             RUNTIME DESTINATION bin)

=== data/CMakeLists.txt ===
# create pkg-config file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/apiextractor.pc.in"
               "${CMAKE_CURRENT_BINARY_DIR}/apiextractor${apiextractor_SUFFIX}.pc" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ApiExtractorConfig.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/ApiExtractorConfig.cmake" @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/ApiExtractorConfigVersion.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/ApiExtractorConfigVersion.cmake" @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/apiextractor${apiextractor_SUFFIX}.pc" DESTINATION "${LIB_INSTALL_DIR}/pkgconfig")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ApiExtractorConfig.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/ApiExtractor-${apiextractor_VERSION}")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/ApiExtractorConfigVersion.cmake"
        DESTINATION "${LIB_INSTALL_DIR}/cmake/ApiExtractor-${apiextractor_VERSION}")

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/APIExtractor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/APIExtractor.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,28 @@
 
 declare_test(testabstractmetaclass)
 declare_test(testabstractmetatype)
+declare_test(testaddfunction)
+declare_test(testcodeinjection)
+declare_test(testconversionoperator)
+declare_test(testconversionruletag)
+declare_test(testcontainer)
+declare_test(testctorinformation)
+declare_test(testdtorinformation)
 declare_test(testenum)
-declare_test(testmodifydocumentation)
-declare_test(testaddfunction)
-declare_test(testconversionruletag)
+declare_test(testfunctiontag)
+declare_test(testimplicitconversions)
+if (NOT DISABLE_DOCSTRINGS)
+    declare_test(testmodifydocumentation)
+endif()
+declare_test(testmodifyfunction)
+declare_test(testmultipleinheritance)
+declare_test(testnamespace)
+declare_test(testprimitivetypetag)
+declare_test(testrefcounttag)
+declare_test(testreferencetopointer)
+declare_test(testremoveimplconv)
+declare_test(testresolvetype)
 declare_test(testreverseoperators)
-declare_test(testdtorinformation)
+declare_test(testtemplates)
+declare_test(testtoposort)
+declare_test(testvoidarg)

=== debian/changelog ===
apiextractor (0.8.0-0ubuntu1) maverick; urgency=low

  * New 0.8.0 upstream release (LP: #648612)
    - Bumping the SOVERSION to 0.8, add two symbols for 0.8.
    - Remove all patches
  * Version the Build-Depends to ease future backports

 -- Didier Raboud <didier@raboud.com>  Mon, 27 Sep 2010 20:09:57 +0200

apiextractor (0.7.0-1~exp2) experimental; urgency=low

  * Patches:
    + Add u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      from upstream, to correct qtgui_qwidget test segfault in pyside.

 -- Didier Raboud <didier@raboud.com>  Tue, 31 Aug 2010 11:35:19 +0200

apiextractor (0.7.0-1~exp1) experimental; urgency=low

  * Patches:
    + Add 01_memory_alignment_fix.patch : Fixes various memory alignment
      issues which cause generator to crash on alignment-sensitive
      architectures (Closes: #590302)

 -- Didier Raboud <didier@raboud.com>  Mon, 09 Aug 2010 13:41:10 +0200

apiextractor (0.7.0-1~exp0) experimental; urgency=low

  [ Didier Raboud ]
  * New 0.7.0 upstream release
    - Bump libapiextractor SONAME to 0.7
  * Patches:
    - Remove spellingErrors.patch, included upstream.
  * Build docs in binary-indep target.
  * Bump Standards to 3.9.1.0 without changes needed.

  * Uploading to experimental as we are in transition freeze.

  [ Piotr Ożarowski ]
  * Set the DM-Upload-Allowed flag to yes

 -- Didier Raboud <didier@raboud.com>  Fri, 06 Aug 2010 14:50:48 +0200

apiextractor (0.6.0-1) unstable; urgency=low

  * New 0.6.0 upstream release
    - Bump libapiextractor SONAME to 0.6
    - Update symbols
    - Remove --version-script linker flag introduced in 0.4.0-2:
      included upstream.

  * Patches:
    - Add spellingErrors.patch to fix some trivial spelling errors.

  * Build -doc package with the sphinx-generated html docs, put it 
    in section docs.

 -- Didier Raboud <didier@raboud.com>  Sat, 05 Jun 2010 10:46:05 +0200

apiextractor (0.5.1-1) unstable; urgency=low

  * New 0.5.1 upstream release
    - Bump libapiextractor SONAME to 0.5
      (The soversion'ing changes with that release).

 -- Didier Raboud <didier@raboud.com>  Tue, 04 May 2010 16:52:35 +0200

apiextractor (0.4.0-3) unstable; urgency=low

  * Upload to unstable

 -- Didier Raboud <didier@raboud.com>  Thu, 22 Apr 2010 17:14:23 +0200

apiextractor (0.4.0-2) experimental; urgency=low

  * Symbols update to fix the various FTBFSes.
    - debian/libapiextractor0.symbols: Update to remove duplicate entries
      and document libqt4-dev differences.
    - debian/rules, debian/symbols.filter: Add a linker flag with
      --version-script to discard junk std:: template instantiations.

 -- Didier Raboud <didier@raboud.com>  Sun, 11 Apr 2010 13:22:16 +0200

apiextractor (0.4.0-1) experimental; urgency=low

  * New 0.4.0 upstream release

  * Add symbols for libapiextractor0, with (c++) filter
  * debian/rules
    - dh_install now lists missing files.
    - Allow parallel building.
  * debian/control
    - Bump Build-Depends on dpkg-dev (>= 1.15.6) for the (c++) symbols.
    - Remove boost from Build-Depends. Great !
  * debian/patches
    - Drop use_cmake_config_no_find.patch: somehow merged upstream.
  * Bump Standards to 3.8.4. No changes needed.

 -- Didier Raboud <didier@raboud.com>  Thu, 25 Mar 2010 16:09:36 +0100

=== debian/control ===
Source: apiextractor
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.0.50), cmake (>= 2.6.0),
               libqt4-dev (>= 4.4.0), libqt4-xmlpatterns (>= 4.4.0),
               libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
Homepage: http://www.pyside.org/home-binding/api-extractor/
DM-Upload-Allowed: yes

Package: libapiextractor-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libapiextractor0.8 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the debugging symbols.

Package: libapiextractor-dev
Section: libdevel
Architecture: any
Depends: libapiextractor0.8 (= ${binary:Version}), ${misc:Depends},
 libqt4-dev (>= 4.4.0)
Description: development files for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the development files.

Package: libapiextractor0.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library headers parser that creates an API abstract representation
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the runtime libraries.

Package: apiextractor-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Description: documentation for the library headers parser
 The API Extractor library is used by the binding generator to parse headers of
 a given library and merge this data with information provided by typesystem
 (XML) files, resulting in a representation of how the API should be exported
 to the chosen target language. The generation of source code for the bindings
 is performed by specific generators using the API Extractor library.
 .
 This package contains the documentation for apiextractor.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=libapiextractor-dbg

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	dh_compress -X.js

binary: binary-arch binary-indep;

binary-indep:
	make -C doc html
	rm -f doc/_build/html/_static/images/._*
	dh binary-indep

## apiextractor 0.9.0-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 endif ()
 
 set(apiextractor_MAJOR_VERSION 0)
-set(apiextractor_MINOR_VERSION 8)
+set(apiextractor_MINOR_VERSION 9)
 set(apiextractor_MICRO_VERSION 0)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)
@@ -129,7 +129,7 @@
 add_library(apiextractor SHARED ${apiextractor_SRC} ${apiextractor_RCCS_SRC})
 target_link_libraries(apiextractor ${APIEXTRACTOR_EXTRA_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTXMLPATTERNS_LIBRARY} ${QT_QTXML_LIBRARY})
 set_target_properties(apiextractor PROPERTIES VERSION ${apiextractor_VERSION}
-                                              SOVERSION ${apiextractor_SOVERSION} 
+                                              SOVERSION ${apiextractor_SOVERSION}
                                               OUTPUT_NAME "apiextractor${apiextractor_SUFFIX}"
                                               DEFINE_SYMBOL APIEXTRACTOR_EXPORTS)
 
@@ -166,6 +166,7 @@
     add_subdirectory(tests)
 endif()
 add_subdirectory(data)
+add_subdirectory(doc)
 
 install(FILES ${root_HEADERS} DESTINATION include/apiextractor${apiextractor_SUFFIX})
 install(TARGETS apiextractor EXPORT apiextractor

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -10,27 +10,31 @@
 declare_test(testabstractmetaclass)
 declare_test(testabstractmetatype)
 declare_test(testaddfunction)
+declare_test(testarrayargument)
 declare_test(testcodeinjection)
+declare_test(testcontainer)
 declare_test(testconversionoperator)
 declare_test(testconversionruletag)
-declare_test(testcontainer)
 declare_test(testctorinformation)
 declare_test(testdtorinformation)
 declare_test(testenum)
 declare_test(testfunctiontag)
 declare_test(testimplicitconversions)
-if (NOT DISABLE_DOCSTRINGS)
-    declare_test(testmodifydocumentation)
-endif()
 declare_test(testmodifyfunction)
 declare_test(testmultipleinheritance)
 declare_test(testnamespace)
+declare_test(testnestedtypes)
 declare_test(testprimitivetypetag)
 declare_test(testrefcounttag)
 declare_test(testreferencetopointer)
+declare_test(testremovefield)
 declare_test(testremoveimplconv)
 declare_test(testresolvetype)
 declare_test(testreverseoperators)
 declare_test(testtemplates)
 declare_test(testtoposort)
 declare_test(testvoidarg)
+if (NOT DISABLE_DOCSTRINGS)
+    declare_test(testmodifydocumentation)
+endif()
+

=== debian/changelog ===
apiextractor (0.9.0-1maemo1) unstable; urgency=low

  * New version.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Fri, 26 Nov 2010 15:48:55 -0300

apiextractor (0.8.1-1maemo3) unstable; urgency=low

  * New version based on Didier's packaging.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 13:05:07 -0300

apiextractor (0.8.1-1) unstable; urgency=low

  * New 0.8.1 upstream release
    - Bumping the SOVERSION to 0.8, add six symbols for 0.8.1.
    - Update apiextractor-doc generation.
  * Patches:
    - Remove u_d13ce132_non_final_method_is_not_necessarily_polymorphic.patch
      was from upstream.
    - Remove 01_memory_alignment_fix.patch: incorporated upstream.

  * Version the Build-Depends to ease future backports

 -- Didier Raboud <didier@raboud.com>  Thu, 14 Oct 2010 11:07:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.0.50), cmake (>= 2.6.0),
+Maintainer: Didier Raboud <didier@raboud.com>
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50), cmake (>= 2.6.0),
                libqt4-dev (>= 4.4.0), libqt4-xmlpatterns (>= 4.4.0),
                libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
-Build-Depends-Indep: python-sphinx
+Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/apiextractor.git
@@ -17,7 +16,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libapiextractor0.8 (= ${binary:Version}), ${misc:Depends}
+Depends: libapiextractor0.9 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem
@@ -30,7 +29,7 @@
 Package: libapiextractor-dev
 Section: libdevel
 Architecture: any
-Depends: libapiextractor0.8 (= ${binary:Version}), ${misc:Depends},
+Depends: libapiextractor0.9 (= ${binary:Version}), ${misc:Depends},
  libqt4-dev (>= 4.4.0)
 Description: development files for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
@@ -41,8 +40,10 @@
  .
  This package contains the development files.
 
-Package: libapiextractor0.8
+Package: libapiextractor0.9
 Architecture: any
+Conflicts: libapiextractor (<< 0.9), libapiextractor0.7
+Replaces: libapiextractor (<< 0.9), libapiextractor0.7
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library headers parser that creates an API abstract representation
  The API Extractor library is used by the binding generator to parse headers of
@@ -56,7 +57,7 @@
 Package: apiextractor-doc
 Architecture: all
 Section: doc
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Description: documentation for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem

=== debian/rules ===
#!/usr/bin/make -f

# Allow to find debhelper7 on Maemo
# Install from Extras repository
PATH := /usr/bin/dh7:$(PATH)
export PATH

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=libapiextractor-dbg

override_dh_install:
	dh_install --list-missing

override_dh_auto_test:
	## Don't run the tests, they fail for now.
	## Upstream explanation:
	## [15:10] <hugopl> OdyX, theses tests show bugs not fixed in
	##         apiextractor, we'll fix these bugs asap, but we need to do
	##         it carefull, because any changes in apiextractor can break
	##         the entire binding
	## [15:10] <hugopl> so, we postponed the bug fixing for a while
	## [15:11] <hugopl> in other words... is normal just 1 unit test pass
	##         (for now...)

override_dh_compress:
	dh_compress -X.js

binary: binary-arch binary-indep;

binary-indep:
	dh binary-indep --until dh_auto_build
	dh_auto_build -i -- doc
	dh binary-indep --after dh_auto_build

## apiextractor 0.10.0-1maemo2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 option(DISABLE_DOCSTRINGS "Disable documentation extraction." FALSE)
 option(BUILD_TESTS "Build tests." TRUE)
+option(INSTALL_TESTS "Install tests" FALSE)
 option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)
 
 if (NOT DISABLE_DOCSTRINGS)
@@ -46,7 +47,7 @@
 endif ()
 
 set(apiextractor_MAJOR_VERSION 0)
-set(apiextractor_MINOR_VERSION 9)
+set(apiextractor_MINOR_VERSION 10)
 set(apiextractor_MICRO_VERSION 0)
 set(apiextractor_VERSION "${apiextractor_MAJOR_VERSION}.${apiextractor_MINOR_VERSION}.${apiextractor_MICRO_VERSION}")
 configure_file(apiextractorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/apiextractorversion.h @ONLY)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
     include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${apiextractor_SOURCE_DIR})
     target_link_libraries(${testname} ${QT_QTTEST_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} apiextractor)
     add_test(${testname} ${testname})
+    if (INSTALL_TESTS)
+        install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${testname} DESTINATION share/apiextractor${apiextractor_SUFFIX}/tests)
+    endif()
 endmacro(declare_test testname)
 
 declare_test(testabstractmetaclass)
@@ -12,10 +15,13 @@
 declare_test(testaddfunction)
 declare_test(testarrayargument)
 declare_test(testcodeinjection)
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/utf8code.txt"
+                "${CMAKE_CURRENT_BINARY_DIR}/utf8code.txt" COPYONLY)
 declare_test(testcontainer)
 declare_test(testconversionoperator)
 declare_test(testconversionruletag)
 declare_test(testctorinformation)
+declare_test(testdroptypeentries)
 declare_test(testdtorinformation)
 declare_test(testenum)
 declare_test(testfunctiontag)
@@ -36,5 +42,7 @@
 declare_test(testvoidarg)
 if (NOT DISABLE_DOCSTRINGS)
     declare_test(testmodifydocumentation)
+    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/a.xml"
+                   "${CMAKE_CURRENT_BINARY_DIR}/a.xml" COPYONLY)
 endif()

=== debian/changelog ===
apiextractor (0.10.0-1maemo2) unstable; urgency=low

  * New patch:
    - fixBug697.patch

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Thu, 24 Feb 2011 13:50:54 -0400

apiextractor (0.10.0-1maemo1) unstable; urgency=low

  * New version from upstream
  * Update binary package name to follow upstream version number
    - libapiextractor0.9 -> libapiextractor0.10

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 21 Feb 2011 10:51:05 -0400

apiextractor (0.9.4-1maemo1) unstable; urgency=low

  * New version from upstream 

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon,  7 Feb 2011 14:44:45 -0400

apiextractor (0.9.3-1maemo1) unstable; urgency=low

  * New version from upstream

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Fri, 28 Jan 2011 14:22:45 -0400

apiextractor (0.9.2-1maemo1) unstable; urgency=low

  * New version from upstream

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 11 Jan 2011 08:43:17 -0400

apiextractor (0.9.1-1maemo1) unstable; urgency=low

  * New version from upstream

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 21 Dec 2010 10:18:08 -0400

apiextractor (0.9.0-1maemo2) unstable; urgency=low

  * Adding test package.

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 14 Dec 2010 16:43:03 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: apiextractor
 Priority: optional
 Section: libs
-Maintainer: Didier Raboud <didier@raboud.com>
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Didier Raboud <didier@raboud.com>
 Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50), cmake (>= 2.6.0),
                libqt4-dev (>= 4.4.0), libqt4-xmlpatterns (>= 4.4.0),
-               libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config
+               libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.19), pkg-config, quilt
 Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/apiextractor.git
@@ -16,7 +17,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: libapiextractor0.9 (= ${binary:Version}), ${misc:Depends}
+Depends: libapiextractor0.10 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
  a given library and merge this data with information provided by typesystem
@@ -29,7 +30,7 @@
 Package: libapiextractor-dev
 Section: libdevel
 Architecture: any
-Depends: libapiextractor0.9 (= ${binary:Version}), ${misc:Depends},
+Depends: libapiextractor0.10 (= ${binary:Version}), ${misc:Depends},
  libqt4-dev (>= 4.4.0)
 Description: development files for the library headers parser
  The API Extractor library is used by the binding generator to parse headers of
@@ -40,10 +41,10 @@
  .
  This package contains the development files.
 
-Package: libapiextractor0.9
+Package: libapiextractor0.10
 Architecture: any
-Conflicts: libapiextractor (<< 0.9), libapiextractor0.7
-Replaces: libapiextractor (<< 0.9), libapiextractor0.7
+Conflicts: libapiextractor (<< 0.10), libapiextractor0.7
+Replaces: libapiextractor (<< 0.10), libapiextractor0.7
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: library headers parser that creates an API abstract representation
  The API Extractor library is used by the binding generator to parse headers of
@@ -67,3 +68,17 @@
  .
  This package contains the documentation for apiextractor.
  
+
+Package: apiextractor-tests
+Architecture: all
+Section: devel
+Depends: ${misc:Depends}, ${shlibs:Depends}, libapiextractor0.10 (= ${binary:Version}),
+         testrunner-lite, libqt4-test, libqt4-gui, libqt4-dbus, libqt4-network
+Description: Package with the runtime tests
+ The API Extractor library is used by the binding generator to parse headers of
+ a given library and merge this data with information provided by typesystem
+ (XML) files, resulting in a representation of how the API should be exported
+ to the chosen target language. The generation of source code for the bindings
+ is performed by specific generators using the API Extractor library.
+ .
+ This package contains the runtime tests for apiextractor.

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,17 @@
 export PATH
 
 %:
-	dh --buildsystem=cmake --parallel $@
+	dh --buildsystem=cmake --parallel --with quilt $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DINSTALL_TESTS=True
 
 override_dh_strip:
 	dh_strip --dbg-package=libapiextractor-dbg
 
 override_dh_install:
+	mkdir -p debian/tmp/usr/share/apiextractor-tests/
+	cp debian/tests.xml debian/tmp/usr/share/apiextractor-tests/
 	dh_install --list-missing
 
 override_dh_auto_test:

=== debian/watch ===
version=3
http://www.pyside.org/files/apiextractor-([\d\.]*).tar.bz2
